11 overlays not working with paid version


  • Paid API user

    I use paid version of API4.
    I think the paid version provide 35+ overlays.
    24 overlays are no problem, but 11 overlays do not work.

    Please check and help me.

    Console error

    • Uncaught (in promise) undefined

    11 overlays do not work

    • radar
    • thunder
    • deg0
    • cloudtop
    • cbase
    • visibility
    • swell3
    • sst
    • ozone
    • snowcover
    • cape

    24 layers there is no problem

    • wind (default layer)
    • gust (default layer)
    • rain (default layer)
    • temp (default layer)
    • clouds (default layer)
    • waves (default layer)
    • swell1 (default layer)
    • currents (default layer)
    • pressure (default layer)
    • swell2
    • gustAccu
    • rainAccu
    • snowAccu
    • ptype
    • rh
    • hclouds
    • mclouds
    • lclouds
    • fog
    • wwaves
    • cosc
    • dustsm
    • so2sm
    • dewpoint


  • Hi @k_shino,

    you are right, these overlays do not work. That is because:

    • radar is a composit from many sources and we have no rights to give that data to third parties,
    • thunder, deg0, cloudtop, cbase, visibility, swell3, snowcover and cape are based on ECMWF data model which we unfortunately cannot give to third parties as well,
    • sst and ozone are not provided probably by mistake, we will look at that and will let you know in this thread.

    We are really sorry to make you confused by our documentation. We will fix it as soon as possible to prevent this misunderstanding in the future.



  • Unfortunately for API users, sst and ozone are also based on ECMWF data model.


  • Paid API user

    Hi @marekd,
    Thank you for your reply. I got it.
    In that case, I think that you should re-write "all 35+ layers" to "24 layers" on introduction page of Windy API v4.


  • Moderator

    @k_shino said in 11 overlays not working with paid version:

    Hi @marekd,
    Thank you for your reply. I got it.
    In that case, I think that you should re-write "all 35+ layers" to "24 layers" on introduction page of Windy API v4.

    But on https://api4.windy.com/ this is clearly marked there:
    "We are not allowed to provide ECMWF data to third parties, and therefore we cannot provide layers based on this data model (thunder, deg0, cloudtop, cbase, visibility, swell3, snowcover, ozone, sst and cape). We also cannot provide you with the radar layer. Everything else is included in the paid version and this Change Windy parameters tutorial will show you how to access all allowed layers (even if they are not displayed in the right menu)."

    Or which introduction page?



  • @Tomber42 It's been changed in the meantime. @k_shino we have changed it, thanks for reporting it.


Log in to reply
 

Windyty, S.E. - all rights reserved. Powered by excellent NodeBB
NodeBB & contributors, OSM & contributors, HERE maps

Looks like your connection to Windy Community was lost, please wait while we try to reconnect.